Subject: Re: ZILOG serial port broken in 2.6.32

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Dec 2009 12:10:48 +1100

On Sun, 2009-12-06 at 01:01 -0600, Rob Landley wrote:
> Trying again with a few likely-looking cc's from the MAINTAINERS file:
> 
> Summary: 
> 
> The PMACZILOG serial driver last worked in 2.6.28.  It was broken by commit 
> f751928e0ddf54ea4fe5546f35e99efc5b5d9938 by Alan Cox making bits of the tty 
> layer dynamically allocated.  The PMACZILOG driver wasn't properly converted, 
> it works with interrupts disabled (for boot messages), but as soon as 
> interrupts are enabled (PID 1 spawns) the next write to the serial console 
> panics the kernel.

Ah looks like I missed that... I'll dig. Thanks for the report.

Cheers,
Ben.